Subject: bug#16651: 24.3.50; desktop saves temporary buffers

From: Juri Linkov <[email-masked]>
Date: Wed, 05 Feb 2014 09:58:52 +0200

With the desktop mode enabled and `C-h S info-lookup-symbol RET'
info-look.el creates a temporary buffer with the name " temp-info-look"
that is saved to the desktop because this buffer is in Info mode
saved by `Info-desktop-buffer-misc-data'.

I see two possible solutions: skip saving all buffers with the
leading space in the buffer name, or if this problem is Info specific
then fix it in `Info-desktop-buffer-misc-data' to return nil for
Info buffers with the leading space in the buffer name.